<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">EuskeraAppError</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-comment">-- | The available error types that can be registered</span><span>
</span><span id="line-4"></span><span class="hs-keyword">data</span><span> </span><span id="EuskeraAppError"><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-var">EuskeraAppError</span></a></span></span><span>
</span><span id="line-5"></span><span>  </span><span class="hs-glyph">=</span><span> </span><span id="InflectionError"><span class="annot"><a href="EuskeraAppError.html#InflectionError"><span class="hs-identifier hs-var">InflectionError</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-6"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="FeatureError"><span class="annot"><a href="EuskeraAppError.html#FeatureError"><span class="hs-identifier hs-var">FeatureError</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-7"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="EmptyString"><span class="annot"><a href="EuskeraAppError.html#EmptyString"><span class="hs-identifier hs-var">EmptyString</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-8"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="ConversionError"><span class="annot"><a href="EuskeraAppError.html#ConversionError"><span class="hs-identifier hs-var">ConversionError</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-9"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="Unimplemented"><span class="annot"><a href="EuskeraAppError.html#Unimplemented"><span class="hs-identifier hs-var">Unimplemented</span></a></span></span><span>
</span><span id="line-10"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081315"><span id="local-6989586621679081317"><span class="annot"><span class="annottext">EuskeraAppError -&gt; EuskeraAppError -&gt; Bool
(EuskeraAppError -&gt; EuskeraAppError -&gt; Bool)
-&gt; (EuskeraAppError -&gt; EuskeraAppError -&gt; Bool)
-&gt; Eq EuskeraAppError
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: EuskeraAppError -&gt; EuskeraAppError -&gt; Bool
$c/= :: EuskeraAppError -&gt; EuskeraAppError -&gt; Bool
== :: EuskeraAppError -&gt; EuskeraAppError -&gt; Bool
$c== :: EuskeraAppError -&gt; EuskeraAppError -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081308"><span id="local-6989586621679081310"><span id="local-6989586621679081312"><span class="annot"><span class="annottext">Int -&gt; EuskeraAppError -&gt; ShowS
[EuskeraAppError] -&gt; ShowS
EuskeraAppError -&gt; String
(Int -&gt; EuskeraAppError -&gt; ShowS)
-&gt; (EuskeraAppError -&gt; String)
-&gt; ([EuskeraAppError] -&gt; ShowS)
-&gt; Show EuskeraAppError
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [EuskeraAppError] -&gt; ShowS
$cshowList :: [EuskeraAppError] -&gt; ShowS
show :: EuskeraAppError -&gt; String
$cshow :: EuskeraAppError -&gt; String
showsPrec :: Int -&gt; EuskeraAppError -&gt; ShowS
$cshowsPrec :: Int -&gt; EuskeraAppError -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-11"></span></pre></body></html>